%define oname OpenJPEG

%define major 5
%define lib_name %mklibname %{name} %{major}
%define lib_dev %mklibname %{name}1 -d

%define common_description The OpenJPEG library is an open-source JPEG 2000 codec written in C\
language. It has been developed in order to promote the use of JPEG\
2000, the new still-image compression standard from the Joint\
Photographic Experts Group (JPEG).

Name: openjpeg
Version: 1.5.1
Release: %mkrel 1
Summary: An open-source JPEG 2000 codec 
License: BSD
Group: System/Libraries
Url: http://www.openjpeg.org/
Source0: http://openjpeg.googlecode.com/files/%{name}-%{version}.tar.xz
BuildRequires: png-devel
BuildRequires: tiff-devel
BuildRequires: lcms2-devel
BuildRequires: cmake
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
%{common_description}

%package -n %{lib_name}
Summary: %{oname} library
Group: System/Libraries

%description -n	%{lib_name}
This package contains the library needed to run programs dynamically
linked with the %{oname} library.

%{common_description}

%package -n %{lib_dev}
Summary: Development tools for programs using the %{oname} library
Group: Development/Libraries
Requires: %{lib_name} = %{version}
Provides: %{name}-devel = %{version}-%{release}
Conflicts: %{_lib}openjpeg-devel

%description -n	%{lib_dev}
This package contains the header files and libraries needed for
developing programs using the %{oname} library.

%{common_description}


%prep
%setup -q

%build
%cmake \
  -DOPENJPEG_INSTALL_BIN_DIR:PATH=%{_bindir} \
  -DOPENJPEG_INSTALL_DATA_DIR:PATH=%{_datadir} \
  -DOPENJPEG_INSTALL_INCLUDE_DIR:PATH=%{_includedir} \
  -DOPENJPEG_INSTALL_LIB_DIR:PATH=%{_libdir}
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

mv %{buildroot}%{_docdir}/%{name}-* %{buildroot}%{_docdir}/%{name}

rm -rf %{buildroot}%{_mandir}/man1/*
rm -rf %{buildroot}%{_docdir}/%{name}

%files -n %{lib_name}
%{_bindir}/*
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{version}

%files -n %{lib_dev}
%{_includedir}/*
%{_mandir}/man3/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/%{name}-*/*.cmake

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Sep 25 2013 billybot <billybot> 1.5.1-1pclos2013
- reintroduce version 1 again for ffmpeg 2.x
